| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.MagicFocus

Portability | unportable
Stability | unstable
Maintainer | Peter De Wachter <pdewacht@gmail.com>

Contents

Usage

Description
Automagically put the focused window in the master area.
Synopsis

magicFocus :: l a -> ModifiedLayout MagicFocus l a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.MagicFocus

Then edit your `layoutHook` by adding the magicFocus layout modifier:

     myLayouts = magicFocus (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

magicFocus :: l a -> ModifiedLayout MagicFocus l a | Source

Create a new layout which automagically puts the focused window in the master area.
Produced by Haddock version 2.4.2